org.apache.cassandra.cql3.statements

## Class MultiColumnRestriction.EQ

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.EQ
    - - org.apache.cassandra.cql3.statements.MultiColumnRestriction.EQ

All Implemented Interfaces:
  MultiColumnRestriction, Restriction, Restriction.EQ

Enclosing interface:
  MultiColumnRestriction

    public static class MultiColumnRestriction.EQ
    extends SingleColumnRestriction.EQ
    implements MultiColumnRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.MultiColumnRestriction

`MultiColumnRestriction.EQ, MultiColumnRestriction.IN, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.EQ

`value`

### Constructor Summary

Constructors
Constructor and Description
`MultiColumnRestriction.EQ(Term value, boolean onToken)`

### Method Summary

Methods
`boolean` `isMultiColumn()`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.EQ

`isContains, isEQ, isIN, isOnToken, isSlice, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isOnToken, isSlice`

### Constructor Detail

#### MultiColumnRestriction.EQ

    public MultiColumnRestriction.EQ(Term value,
                             boolean onToken)

### Method Detail

#### isMultiColumn

    public boolean isMultiColumn()

Specified by:
  `isMultiColumn` in interface `Restriction`
Overrides:
  `isMultiColumn` in class `SingleColumnRestriction`

#### values

    public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Overrides:
  `values` in class `SingleColumnRestriction.EQ`
Throws:
  `InvalidRequestException`